/*
   CSS styling examples for the Vaadin app.
   Visit https://vaadin.com/docs/flow/theme/theming-overview.html and
   https://vaadin.com/themes/lumo for more information.
*/

/* Example: CSS class name to center align the content . */
.centered-content {
    margin: 0 auto;
    max-width: 250px;
}

/* Example: the style is applied only to the textfields which have the `bordered` class name. */
vaadin-text-field.bordered::part(input-field) {
    box-shadow: inset 0 0 0 1px var(--lumo-contrast-30pct);
    background-color: var(--lumo-base-color);
}

/* Highlight drawer field when selected */
a[highlight] {
    font-weight: bold;
    text-decoration: underline;
}

/* Put border to dialog */
vaadin-dialog-overlay::part(overlay) {
    border: 2px solid black;
    border-radius: 15px;
}

/* Highlight book on grid on mouse over */
vaadin-grid::part(row):hover {
  --row-bg: var(--lumo-primary-color-10pct);
}
vaadin-grid::part(cell) {
  background: var(--row-bg);
}